# Glom::PyGlomRelated Class Reference

List of all members.

## Public Types

typedef std::map < Glib::ustring, sharedptr < Relationship > > | type_map_relationships

## Public Member Functions

| PyGlomRelated ()
| ~PyGlomRelated ()
void | set_relationships (const PyGlomRelated::type_map_relationships& relationships)
long | len () const
boost::python::object | getitem (const boost::python::object& item)

## Member Typedef Documentation

typedef std::map<Glib::ustring, sharedptr<Relationship> > Glom::PyGlomRelated::type_map_relationships

## Constructor & Destructor Documentation

Glom::PyGlomRelated::PyGlomRelated | ( |  | ) |

Glom::PyGlomRelated::~PyGlomRelated | ( |  | ) |

## Member Function Documentation

boost::python::object Glom::PyGlomRelated::getitem | ( | const boost::python::object & | item | ) |

long Glom::PyGlomRelated::len | ( |  | ) | const

void Glom::PyGlomRelated::set_relationships | ( | const PyGlomRelated::type_map_relationships& | relationships | ) |

The documentation for this class was generated from the following files:

- python_embed/py_glom_related.h
- python_embed/py_glom_related.cc